Subject: bug#51027: Icecat: gfx.webrender.all unset by default - gpu performance issues

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 15 Oct 2021 12:46:20 -0400

Hello,

Maxim Cournoyer <[email-masked]> writes:

> Hello,
>
> Ekaitz Zarraga <[email-masked]> writes:
>
>> Hi,
>> I recently found my GPU struggling to render simple websites on icecat while
>> ungoogled-chromium is able to do it correctly.
>>
>> The most recent one was element, Matrix's web client.
>> I opened an issue there[^1] and they told me to set the `gfx.webrender.all` to
>>  `true`.
>>
>> I did it and everything worked like a charm, and the rendering effort for any
>> other website went down significantly.
>>
>> Why do we ship icecat with this variable unset? Can we set it so more people
>> benefit from the new rendering engine?
>>
>> Thanks,
>> Ekaitz
>>
>> [^1]: https://github.com/vector-im/element-web/issues/19217
>
> Seems this feature is rather new, and has been (is being?) deployed to
> selected systems by Mozilla.  Given that Icecat is based on the ESR (the
> slower paced Firefox releases), it'll probably take a little while to
> land.
>
> You should dig more to get a definitive answer though!  Perhaps the
> Mozilla folks would know best.

Turning such feature on in my version of icecat didn't seem to break
something (or improve much) until I restarted it, at which point the
output was totally garbled.  That's using it with an nvidia 8800 GTS
card and the nouveau driver.

So, unless the upstream Firefox ESR GNU Icecat is based on has this bit
turned on, I'd vote to close this issue.

What do you think?

Thank you,

Maxim